{% import 'AppBundle:Macros:macros.html.twig' as this %}

<table id="contributions" class="table">
    {% for contribution in contributions %}
        <tr>
            <td class="col-sm-3" style="text-align: left">
                {{ contribution }}
            </td>
            <td class="col-sm-1">
                {{ contribution.type }}
            </td>
            <td class="col-sm-1">
                {{ contribution.lastUpdate|date('d/m/y') }}
            </td>
            <td class="col-sm-2">
                <span class="label {% if contribution.isCurrent %}label-yellow{% else %}label-green{% endif %}">
                     {% if contribution.isCurrent %}En cours (non visible){% else %}Validée (visible){% endif %}
                </span>
            </td>
            <td class="col-sm-5">
                {% if is_granted('UPDATE_CONTRIBUTION', contribution) %}
                    {% if contribution.isCurrent %}
                    <span class="pull-right  shortButton">
                        <a href="{{ path('contribution_edit', { 'id': contribution.id}) }}"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i> Continuer
                        </a>
                    </span>
                        {% endif %}
                    <span class="pull-right  shortButton">
                        <a href="{{ path('contribution_edit', { 'id': contribution.id, 'status': constant('AppBundle\\Entity\\Project\\Contribution::STATUS_QUESTIONS')}) }}"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i> Entretien
                        </a>
                    </span>
                    <span class="pull-right  shortButton">
                        <a href="{{ path('contribution_edit', { 'id': contribution.id, 'status': constant('AppBundle\\Entity\\Project\\Contribution::STATUS_SOCIALDATA')}) }}"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-edit"></i> Données sociales
                        </a>
                    </span>
                {% endif %}
                {% if is_granted('VIEW_CONTRIBUTION', contribution) %}
                    <span class="pull-right shortButton">
                        <a href="{{ path('contribution_view', { 'id': contribution.id }) }}"
                           target="_blank"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-eye"></i>
                        </a>
                    </span>
                {% endif %}
            </td>
        </tr>
    {% else %}
        <tr>
            <td class="col-sm-12"> Aucune contribution :(</td>
        </tr>
    {% endfor %}
</table>
